2019-03-26 21:17 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002122NetSurfGTK-specificpublic2015-03-10 11:03
ReporterPavel Smolyar 
Assigned ToVincent Sanders 
SeverityfeatureReproducibilityalways 
StatusclosedResolutionfixed 
PlatformLinuxOSOwn (based RedHat)OS Version8
Product Version3.1 
Target VersionFixed in Version3.2 
Summary0002122: For GTK2 no possibility to set ProxyNoproxy option
DescriptionThere is no UI for set ProxyNoproxy option in file options.gtk2.ui while it exists in options.gtk3.ui
Patch created by copying some options from gtk3 to gtk2
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files
  • patch file icon opt_gtk2.patch (3,035 bytes) 2014-05-14 14:15 -
    --- options.gtk2.ui.old	2014-04-26 02:19:59.000000000 +0400
    +++ options.gtk2.ui	2014-05-14 17:00:38.000000000 +0400
    @@ -1583,7 +1583,7 @@
                             <child>
                               <object class="GtkTable" id="table2">
                                 <property name="visible">True</property>
    -                            <property name="n_rows">4</property>
    +                            <property name="n_rows">5</property>
                                 <property name="n_columns">2</property>
                                 <property name="column_spacing">6</property>
                                 <property name="row_spacing">6</property>
    @@ -1745,6 +1745,36 @@
                                     <property name="bottom_attach">4</property>
                                   </packing>
                                 </child>
    +                            <child>
    +                              <object class="GtkLabel" id="label55">
    +                                <property name="visible">True</property>
    +                                <property name="can_focus">False</property>
    +                                <property name="xalign">0</property>
    +                                <property name="label" translatable="yes">preferencesProxyNoproxy</property>
    +                              </object>
    +                              <packing>
    +                                <property name="top_attach">4</property>
    +                                <property name="bottom_attach">5</property>
    +                                <property name="x_options">GTK_FILL</property>
    +                              </packing>
    +                            </child>
    +                            <child>
    +                              <object class="GtkEntry" id="entryProxyNoproxy">
    +                                <property name="visible">True</property>
    +                                <property name="can_focus">True</property>
    +                                <property name="has_tooltip">True</property>
    +                                <property name="tooltip_text" translatable="yes">preferencesProxyNoproxyTooltip</property>
    +                                <property name="caps_lock_warning">False</property>
    +                                <signal name="changed" handler="nsgtk_preferences_entryProxyNoproxy_changed" swapped="no"/>
    +                                <signal name="realize" handler="nsgtk_preferences_entryProxyNoproxy_realize" swapped="no"/>
    +                              </object>
    +                              <packing>
    +                                <property name="left_attach">1</property>
    +                                <property name="right_attach">2</property>
    +                                <property name="top_attach">4</property>
    +                                <property name="bottom_attach">5</property>
    +                              </packing>
    +                            </child>
                               </object>
                             </child>
                           </object>
    
    patch file icon opt_gtk2.patch (3,035 bytes) 2014-05-14 14:15 +

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000336

Vincent Sanders (administrator)

Thanks, I will look at applying this.
Vincent Sanders

~0000359

Vincent Sanders (administrator)

applied provided patch, thanks for that.
Vincent Sanders

~0000702

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-05-14 14:15 Pavel Smolyar New Issue
2014-05-14 14:15 Pavel Smolyar File Added: opt_gtk2.patch
2014-05-17 22:41 Vincent Sanders Note Added: 0000336
2014-05-17 22:41 Vincent Sanders Assigned To => Vincent Sanders
2014-05-17 22:41 Vincent Sanders Severity tweak => feature
2014-05-17 22:41 Vincent Sanders Status new => acknowledged
2014-05-29 17:08 Vincent Sanders Note Added: 0000359
2014-05-29 17:08 Vincent Sanders Status acknowledged => resolved
2014-05-29 17:08 Vincent Sanders Resolution open => fixed
2014-05-29 17:08 Vincent Sanders Fixed in Version => 3.2
2015-03-10 11:03 Vincent Sanders Note Added: 0000702
2015-03-10 11:03 Vincent Sanders Status resolved => closed
+Issue History